# class XMPPFeatureCompress | A compression feature. More...
Full name | `TelEngine::XMPPFeatureCompress`
Definition | `#include <libs/yjabber/xmpputils.h>`
Inherits | TelEngine::XMPPFeature [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- inline XMPPFeatureCompress (const String& meth, bool required = false)
- inline const String& methods () const
- bool hasMethod (const String& method) const
- virtual XmlElement* build (bool addReq = true)

## Detailed Description

This class holds a compression feature along with compression methods

inline XMPPFeatureCompress (const String& meth, bool required = false) | ### XMPPFeatureCompress

Constructor

Parameters:

meth | Comma separated list of compression methods
required | Required flag

inline const String& methods () | ### methods

[const]

Get the compression method(s)

Returns: Comma separated list of compression methods

bool hasMethod (const String& method) | ### hasMethod

[const]

Check if a given method is supported by this feature

Parameters:

method | Method to check

Returns: True if the method was found in feature's list

XmlElement* build (bool addReq = true) | ### build

[virtual]

Build an xml element from this feature

Parameters:

addReq | True to add the required/optional child

Returns: XmlElement pointer or 0

Reimplemented from XMPPFeature.

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.